snappea.h File Reference

Allows reading and writing SnapPea files. More...

`#include <string>`
`#include "regina-core.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API NTriangulation * | regina::readSnapPea (const char *filename)
| Reads a triangulation from the given SnapPea file. More...
REGINA_API NTriangulation * | regina::readSnapPea (std::istream &in)
| Reads a triangulation from an input stream that contains the contents of a SnapPea file. More...
REGINA_API bool | regina::writeSnapPea (const char *filename, const NTriangulation &tri)
| Writes the given triangulation to the given file in SnapPea format. More...
REGINA_API void | regina::writeSnapPea (std::ostream &out, const NTriangulation &tri)
| Writes the given triangulation to the given output stream using SnapPea's file format. More...

## Detailed Description

Allows reading and writing SnapPea files.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).